Bug 145386

Summary: new port: devel/p5-File-BOM "Unicode Byte Order Mark for Perl"
Product: Ports & Packages Reporter: Eric Freeman <freebsdports>
Component: Individual Port(s)Assignee: Sylvio Cesar Teixeira <sylvio>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.shar none

Description Eric Freeman 2010-04-04 22:40:05 UTC
Simple perl port for File::BOM, this module provides functions for handling unicode byte order marks, which are to be found at the beginning of some files and streams.

How-To-Repeat: n/a
Comment 1 Eric Freeman 2010-04-05 11:35:45 UTC
Noticed I omitted the plist and in this case a couple of dependencies.
Obviously having "one of those days" ... Please find below a fresh shar with
the full (and hopefully correct) port for File::BOM

--BEGIN--

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#    p5-File-BOM
#    p5-File-BOM/distinfo
#    p5-File-BOM/Makefile
#    p5-File-BOM/pkg-descr
#    p5-File-BOM/pkg-plist
#
echo c - p5-File-BOM
mkdir -p p5-File-BOM > /dev/null 2>&1
echo x - p5-File-BOM/distinfo
sed 's/^X//' >p5-File-BOM/distinfo << 'a00a93d8a0b70e89f55446ed8d42da6c'
XMD5 (File-BOM-0.14.tar.gz) = e55642294d8ab369b4dda4e9d57c8e41
XSHA256 (File-BOM-0.14.tar.gz) =
4c9877ceb2e97619a6f7943ca8e0a034900577337e41e65915f2aa29c2ca8cd1
XSIZE (File-BOM-0.14.tar.gz) = 15273
a00a93d8a0b70e89f55446ed8d42da6c
echo x - p5-File-BOM/Makefile
sed 's/^X//' >p5-File-BOM/Makefile << 'dfee51c80be04ea88b08a85103b66abb'
X# Ports collection makefile for:    devel-p5-File-BOM
X# Date created:                02 April 2010
X# Whom:                    Eric Freeman <freebsdports@chillibear.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=        File-BOM
XPORTVERSION=        0.14
XCATEGORIES=        devel perl5
XMASTER_SITES=        CPAN
XMASTER_SITE_SUBDIR=    File
XPKGNAMEPREFIX=        p5-
X
XMAINTAINER=        freebsdports@chillibear.com
XCOMMENT=        Perl module to handle unicode byte order marks
X
XRUN_DEPENDS=    p5-Test-Exception>0:${PORTSDIR}/devel/p5-Test-Exception \
X    p5-Readonly>0:${PORTSDIR}/devel/p5-Readonly \
X    p5-Module-Build>0:${PORTSDIR}/devel/p5-Module-Build
XBUILD_DEPENDS=    ${RUN_DEPENDS}
X
XPERL_CONFIGURE=    yes
X
XMAN3=    File::BOM.3
X
X.include <bsd.port.mk>
dfee51c80be04ea88b08a85103b66abb
echo x - p5-File-BOM/pkg-descr
sed 's/^X//' >p5-File-BOM/pkg-descr << '82b7dc9fa5670cdcc630caf44d6ce72c'
XThis module provides functions for handling unicode byte order
Xmarks, which are to be found at the beginning of some files and
Xstreams.
X
XThe intention of File::BOM is for files with BOMs to be readable
Xas seamlessly as possible, regardless of the encoding used.
X
XWWW: http://search.cpan.org/dist/File-BOM/lib/File/BOM.pm
82b7dc9fa5670cdcc630caf44d6ce72c
echo x - p5-File-BOM/pkg-plist
sed 's/^X//' >p5-File-BOM/pkg-plist << '375db491bc9ab828d395fbeac0b18260'
X%%SITE_PERL%%/File/BOM.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/File/BOM/.packlist
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/File/BOM
X@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/File
X@dirrmtry %%SITE_PERL%%/File
375db491bc9ab828d395fbeac0b18260
exit
Comment 2 Sylvio Cesar Teixeira freebsd_committer 2010-04-06 01:14:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sylvio

I'll take it.
Comment 3 Sylvio Cesar Teixeira freebsd_committer 2010-04-06 18:12:56 UTC
Hi

Can you fix this error, please?

http://people.freebsd.org/~sylvio/p5-File-BOM-0.14.log

Thanks,

Sylvio Cesar
Comment 4 Sylvio Cesar Teixeira freebsd_committer 2010-04-06 18:15:58 UTC
State Changed
From-To: open->feedback

- Waiting fix of submitter.
Comment 5 Eric Freeman 2010-04-06 22:51:35 UTC
Hi Sylvio,

I sent a fix in on 'Monday 05 Apr 2010 11:35:45 +0100', as a followup to the
original PR.  Have you not seen it?  That corrected the missing depts and a
missing plist.

Will forward again directly to you and CC bug-followup address again.

Regards

Eric

PS You'll find the same (missing plist) with 'ports/145384' - think I was
having a bad day.  Again sent a follow-up to the PR.

On 06/04/2010 18:12, "Sylvio Cesar Teixeira" <sylvio@FreeBSD.org> wrote:

> Hi
> 
> Can you fix this error, please?
> 
> http://people.freebsd.org/~sylvio/p5-File-BOM-0.14.log
> 
> Thanks,
> 
> Sylvio Cesar
Comment 6 Eric Freeman 2010-04-06 22:53:05 UTC
Re: http://people.freebsd.org/~sylvio/p5-File-BOM-0.14.log

------ Forwarded Message
From: Eric <freebsdports@chillibear.com>
Date: Mon, 05 Apr 2010 11:35:45 +0100
Subject: Re: ports/145386: new port: devel/p5-File-BOM  "Unicode Byte Order
Mark for Perl"

Noticed I omitted the plist and in this case a couple of dependencies.
Obviously having "one of those days" ... Please find below a fresh shar with
the full (and hopefully correct) port for File::BOM

--BEGIN--

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#    p5-File-BOM
#    p5-File-BOM/distinfo
#    p5-File-BOM/Makefile
#    p5-File-BOM/pkg-descr
#    p5-File-BOM/pkg-plist
#
echo c - p5-File-BOM
mkdir -p p5-File-BOM > /dev/null 2>&1
echo x - p5-File-BOM/distinfo
sed 's/^X//' >p5-File-BOM/distinfo << 'a00a93d8a0b70e89f55446ed8d42da6c'
XMD5 (File-BOM-0.14.tar.gz) = e55642294d8ab369b4dda4e9d57c8e41
XSHA256 (File-BOM-0.14.tar.gz) =
4c9877ceb2e97619a6f7943ca8e0a034900577337e41e65915f2aa29c2ca8cd1
XSIZE (File-BOM-0.14.tar.gz) = 15273
a00a93d8a0b70e89f55446ed8d42da6c
echo x - p5-File-BOM/Makefile
sed 's/^X//' >p5-File-BOM/Makefile << 'dfee51c80be04ea88b08a85103b66abb'
X# Ports collection makefile for:    devel-p5-File-BOM
X# Date created:                02 April 2010
X# Whom:                    Eric Freeman <freebsdports@chillibear.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=        File-BOM
XPORTVERSION=        0.14
XCATEGORIES=        devel perl5
XMASTER_SITES=        CPAN
XMASTER_SITE_SUBDIR=    File
XPKGNAMEPREFIX=        p5-
X
XMAINTAINER=        freebsdports@chillibear.com
XCOMMENT=        Perl module to handle unicode byte order marks
X
XRUN_DEPENDS=    p5-Test-Exception>0:${PORTSDIR}/devel/p5-Test-Exception \
X    p5-Readonly>0:${PORTSDIR}/devel/p5-Readonly \
X    p5-Module-Build>0:${PORTSDIR}/devel/p5-Module-Build
XBUILD_DEPENDS=    ${RUN_DEPENDS}
X
XPERL_CONFIGURE=    yes
X
XMAN3=    File::BOM.3
X
X.include <bsd.port.mk>
dfee51c80be04ea88b08a85103b66abb
echo x - p5-File-BOM/pkg-descr
sed 's/^X//' >p5-File-BOM/pkg-descr << '82b7dc9fa5670cdcc630caf44d6ce72c'
XThis module provides functions for handling unicode byte order
Xmarks, which are to be found at the beginning of some files and
Xstreams.
X
XThe intention of File::BOM is for files with BOMs to be readable
Xas seamlessly as possible, regardless of the encoding used.
X
XWWW: http://search.cpan.org/dist/File-BOM/lib/File/BOM.pm
82b7dc9fa5670cdcc630caf44d6ce72c
echo x - p5-File-BOM/pkg-plist
sed 's/^X//' >p5-File-BOM/pkg-plist << '375db491bc9ab828d395fbeac0b18260'
X%%SITE_PERL%%/File/BOM.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/File/BOM/.packlist
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/File/BOM
X@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/File
X@dirrmtry %%SITE_PERL%%/File
375db491bc9ab828d395fbeac0b18260
exit

------ End of Forwarded Message
Comment 7 Sylvio Cesar Teixeira freebsd_committer 2010-04-07 23:55:55 UTC
Hi Eric,

Error again:

http://people.freebsd.org/~sylvio/p5-File-BOM-0.14.log
Comment 8 Sylvio Cesar Teixeira freebsd_committer 2010-04-08 21:55:20 UTC
Still waiting a fix to the problem.

http://people.freebsd.org/~sylvio/p5-File-BOM-0.14.log
Comment 9 Eric Freeman 2010-04-09 10:45:41 UTC
Awaiting an update to the port devel/p5-Module-Build  to version 0.3607
before File::BOM will build.

Builds okay with devel/p5-Module-Build version 0.35, but not current 0.3601
version
Comment 10 Eric Freeman 2010-04-28 19:01:26 UTC
I've send in an upgrade for p5-Module-Build (see ports/146058), which should
sort out the issues we've been having with the build.

Below is a fresh shar for p5-File-BOM which includes a version dependency on
the updated p5-Module-Build (assuming my patch (ports/146058) is accepted)
which was of course absent from the original shar.

--BEGIN--

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#    p5-File-BOM
#    p5-File-BOM/distinfo
#    p5-File-BOM/Makefile
#    p5-File-BOM/pkg-descr
#    p5-File-BOM/pkg-plist
#
echo c - p5-File-BOM
mkdir -p p5-File-BOM > /dev/null 2>&1
echo x - p5-File-BOM/distinfo
sed 's/^X//' >p5-File-BOM/distinfo << 'a00a93d8a0b70e89f55446ed8d42da6c'
XMD5 (File-BOM-0.14.tar.gz) = e55642294d8ab369b4dda4e9d57c8e41
XSHA256 (File-BOM-0.14.tar.gz) =
4c9877ceb2e97619a6f7943ca8e0a034900577337e41e65915f2aa29c2ca8cd1
XSIZE (File-BOM-0.14.tar.gz) = 15273
a00a93d8a0b70e89f55446ed8d42da6c
echo x - p5-File-BOM/Makefile
sed 's/^X//' >p5-File-BOM/Makefile << 'dfee51c80be04ea88b08a85103b66abb'
X# Ports collection makefile for:    devel-p5-File-BOM
X# Date created:                02 April 2010
X# Whom:                    Eric Freeman <freebsdports@chillibear.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=        File-BOM
XPORTVERSION=        0.14
XCATEGORIES=        devel perl5
XMASTER_SITES=        CPAN
XMASTER_SITE_SUBDIR=    File
XPKGNAMEPREFIX=        p5-
X
XMAINTAINER=        freebsdports@chillibear.com
XCOMMENT=        Perl module to handle unicode byte order marks
X
XRUN_DEPENDS=    p5-Test-Exception>0:${PORTSDIR}/devel/p5-Test-Exception \
X    p5-Readonly>0:${PORTSDIR}/devel/p5-Readonly \
X    p5-Module-Build>=0.3607:${PORTSDIR}/devel/p5-Module-Build
XBUILD_DEPENDS=    ${RUN_DEPENDS}
X
XPERL_CONFIGURE=    yes
X
XMAN3=    File::BOM.3
X
X.include <bsd.port.mk>
dfee51c80be04ea88b08a85103b66abb
echo x - p5-File-BOM/pkg-descr
sed 's/^X//' >p5-File-BOM/pkg-descr << '82b7dc9fa5670cdcc630caf44d6ce72c'
XThis module provides functions for handling unicode byte order
Xmarks, which are to be found at the beginning of some files and
Xstreams.
X
XThe intention of File::BOM is for files with BOMs to be readable
Xas seamlessly as possible, regardless of the encoding used.
X
XWWW: http://search.cpan.org/dist/File-BOM/lib/File/BOM.pm
82b7dc9fa5670cdcc630caf44d6ce72c
echo x - p5-File-BOM/pkg-plist
sed 's/^X//' >p5-File-BOM/pkg-plist << '375db491bc9ab828d395fbeac0b18260'
X%%SITE_PERL%%/File/BOM.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/File/BOM/.packlist
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/File/BOM
X@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/File
X@dirrmtry %%SITE_PERL%%/File
375db491bc9ab828d395fbeac0b18260
Exit
Comment 11 Eric Freeman 2010-05-21 22:02:12 UTC
Hi Sylvio,

p5-Module-Build has been upgraded (ports/146058) and so this port should
build now with the current ports tree.  Could you run it past your tests
again and let me know if there are any outstanding issues left.

Thanks

Eric
Comment 12 dfilter service freebsd_committer 2010-05-22 16:18:39 UTC
sylvio      2010-05-22 15:18:29 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/p5-File-BOM    Makefile distinfo pkg-descr pkg-plist 
  Log:
  - This module provides functions for handlink unicode byt order marks, which are to be found at the beginning of some files and streams.
  
  PR:             ports/145386
  Submitted by:   Eric Freeman <freebsdports@chillibear.com>
  
  Revision  Changes    Path
  1.3937    +1 -0      ports/devel/Makefile
  1.1       +27 -0     ports/devel/p5-File-BOM/Makefile (new)
  1.1       +3 -0      ports/devel/p5-File-BOM/distinfo (new)
  1.1       +8 -0      ports/devel/p5-File-BOM/pkg-descr (new)
  1.1       +5 -0      ports/devel/p5-File-BOM/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 Sylvio Cesar Teixeira freebsd_committer 2010-05-22 16:20:43 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!